<?php 
/*
Plugin Name: Super Custom CSS
Plugin URI: https://photontechs.com
Description: Add Custom CSS to your website in super way with Super Custom CSS
Version: 1.1
Author: iamaliiraja
Author URI: http://hashwp.com
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
*/

// Prevent direct file access
if( ! defined( 'ABSPATH' ) ) {
	die();
}

//Add in Wordpress Menu

add_action( 'admin_menu', 'super_custom_css_menu' );

function super_custom_css_menu() {

	add_theme_page( 'Super CSS', 'Super Custom CSS', 'edit_theme_options', 'super-custom-css', 'super_custom_css_editor','', '' , 3 );

}


function super_custom_css_scripts() 
{
	// Load codemirror javascript
	wp_enqueue_script( 'super-custom-css-codemirror-js', plugin_dir_url( __FILE__ ) . 'js/codemirror.js', array( 'jquery' ), null );
	wp_enqueue_script( 'super-custom-css-codemirror-js1', plugin_dir_url( __FILE__ ) . 'js/javascript.js', array( 'jquery' ), null );
	wp_enqueue_script( 'super-custom-css-codemirror-js2', plugin_dir_url( __FILE__ ) . 'js/active-line.js', array( 'jquery' ), null );
	wp_enqueue_script( 'super-custom-css-codemirror-js3', plugin_dir_url( __FILE__ ) . 'js/matchbrackets.js', array( 'jquery' ), null );
	

	// Load codemirror CSS
	wp_enqueue_style( 'super-custom-css-codemirror-css_default', plugin_dir_url( __FILE__ ) . 'css/codemirror.css', null, null );
	wp_enqueue_style( 'super-custom-css-codemirror-css_daytheme', plugin_dir_url( __FILE__ ) . 'css/3024-day.css', null, null );
	wp_enqueue_style( 'super-custom-css-codemirror-css_nighttheme', plugin_dir_url( __FILE__ ) . 'css/3024-night.css', null, null );
	wp_enqueue_style( 'super-custom-css-codemirror-css_abctheme', plugin_dir_url( __FILE__ ) . 'css/abcdef.css', null, null );
	wp_enqueue_style( 'super-custom-css-codemirror-css_base16theme', plugin_dir_url( __FILE__ ) . 'css/base16-dark.css', null, null );
	wp_enqueue_style( 'super-custom-css-codemirror-css_ambiancetheme', plugin_dir_url( __FILE__ ) . 'css/ambiance.css', null, null );
	wp_enqueue_style( 'super-custom-css-codemirror-css_custom', plugin_dir_url( __FILE__ ) . 'css/custom-style.css', null, null );



}

add_action( 'admin_init', 'super_custom_css_scripts' );
add_action( 'admin_init', 'super_custom_css_init' );
function super_custom_css_init(){
	register_setting( 'super_custom_css', 'super_custom_css_options', 'super_custom_css_validate' );

}


function super_custom_css_editor() { 
  
  		if ( isset( $_GET['settings-updated'] ) ) : ?>
		<div id="message" class="updated"><p><?php _e( 'CSS Updated Successfully.', 'super_custom_css' ); ?></p></div>
		<?php endif; ?>
				          	<form method="post" action="options.php">
			<?php settings_fields( 'super_custom_css' ); ?>
			<?php $options = get_option( 'super_custom_css_options' ); 
			
			$super_css = isset( $options['supercss'] ) && ! empty( $options['supercss'] ) ? $options['supercss'] : '/* Add Your Custom CSS Here */';


								
			?>


			
			<div id="templateside">
						
							<div>
							<?php submit_button( __( 'Save CSS', 'super_custom_css' ), 'primary custom-save', 'submit', true ); ?>
							</div>
							

								<div class="postbox">
							<h3 class="hndle texthead"><span>Select your Theme</span></h3>
							<div class="inside">
								
								<select onchange="selectTheme()" id="select" class="theme-select">
   									  
		   							    <option selected>3024-day</option>
		  						  		<option>3024-night</option>
									    <option>abcdef</option>
									    <option>ambiance</option>
									    <option>base16-dark</option>
							    </select>
							
					
							</div>
							</div>


								<div class="postbox">
							<h3 class="hndle texthead"><span>Thanks for Using Super Custom CSS!</span></h3>
							<div class="inside">
								
								Super Custom CSS Allows to add custom CSS in your website which will override style of your themes or plugins.
								To Use enter your custom CSS & Click on Save CSS button. Its Simple. 
					
							</div>
							</div>






					</div>

					<div id="templates" style="padding-top:30px;">
							<div>
								<textarea cols="70" rows="30" name="super_custom_css_options[supercss]" id="super_custom_css_options[supercss]" > <?php echo esc_html($super_css) ; ?></textarea>
							</div>

							<div>
							<?php submit_button( __( 'Save CSS', 'super_custom_css' ), 'primary custom-save-bottom', 'submit', true ); ?>
							</div>
					</div>



<script>
  var editor = CodeMirror.fromTextArea(document.getElementById("super_custom_css_options[supercss]"), {
    lineNumbers: true,
    styleActiveLine: true,
    matchBrackets: true,
    lineWrapping: true
   
  });

  var input = document.getElementById("select");
  function selectTheme() {
    var theme = input.options[input.selectedIndex].textContent;
    editor.setOption("theme", theme);
   // location.hash = "#" + theme;
  }
  var choice = (location.hash && location.hash.slice(1)) ||
               (document.location.search &&
                decodeURIComponent(document.location.search.slice(1)));
  if (choice) {
    input.value = choice;
    editor.setOption("theme", choice);
  }
  CodeMirror.on(window, "hashchange", function() {
    var theme = location.hash.slice(1);
    if (theme) { input.value = theme; selectTheme(); }
  }); 
</script>

			

		</form>

						

<?php

}
function super_custom_css_validate( $input ) {
	$input['super_css'] = wp_kses( $input['supercss'], array( '\'', '\"', '>', '+' ) );
	
	return $input;
}
add_action( 'wp_head','super_custom_css_add' );

function super_custom_css_add(){

 $options = get_option( 'super_custom_css_options' ); 
 $super_css=$options['supercss'];
if($super_css=='')
	return;
$super_css = str_replace(array("\r", "\n"), '', $super_css);
	
 // Finally, print it
	echo '<style type="text/css">';
		echo $super_css;
	echo '</style><!-- Custom CSS by Super Custom CSS -->';
			

}



?>